network-manager roams to (none) ((none)) - background scanning

Bug #291760 reported by Laryllian on 2008-10-31
444
This bug affects 76 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
NetworkManager
Expired
High
linux (Ubuntu)
High
Unassigned
Declined for Jaunty by Mathieu Trudel-Lapierre
Nominated for Lucid by Peter Zieba
Maverick
High
Unassigned
network-manager (Ubuntu)
High
Unassigned
Declined for Jaunty by Mathieu Trudel-Lapierre
Nominated for Lucid by Peter Zieba
Maverick
High
Unassigned

Bug Description

Binary package hint: network-manager

The network manager roames to a "none" bssid and back, this happens in more or less two minute intervalls. During this time
i get:
Oct 31 03:44:17 Oct 31 03:44:17 coppelius named[5281]: too many timeouts resolving 'linuxhaters.blogspot.com/A' (in '.'?): disabling EDNS
Oct 31 03:44:17 coppelius named[5281]: too many timeouts resolving 'www.pro-linux.de/A' (in '.'?): disabling EDNS
Oct 31 03:44:17 coppelius named[5281]: too many timeouts resolving 'linuxhaters.blogspot.com/A' (in '.'?): disabling EDNS
coppelius named[5281]: too many timeouts resolving 'linuxhaters.blogspot.com/A' (in '.'?): disabling EDNS
Oct 31 03:44:17 coppelius named[5281]: too many timeouts resolving 'www.pro-linux.de/A' (in '.'?): disabling EDNS
Oct 31 03:44:17 coppelius named[5281]: too many timeouts resolving 'linuxhaters.blogspot.com/A' (in '.'?): disabling EDNS

/var/log/daemon.log
Oct 31 20:29:41 coppelius NetworkManager: <debug> [1225481381.966597] periodic_update(): Roamed from BSSID 00:04:0E:73:0F:34 (Silkes Parfum) to (none) ((none))
Oct 31 20:29:47 coppelius NetworkManager: <debug> [1225481387.969699] periodic_update(): Roamed from BSSID (none) ((none)) to 00:04:0E:73:0F:34 (Silkes Parfum)
Oct 31 20:31:42 coppelius NetworkManager: <debug> [1225481502.049585] periodic_update(): Roamed from BSSID 00:04:0E:73:0F:34 (Silkes Parfum) to (none) ((none))
Oct 31 20:31:48 coppelius NetworkManager: <debug> [1225481508.054596] periodic_update(): Roamed from BSSID (none) ((none)) to 00:04:0E:73:0F:34 (Silkes Parfum)
Oct 31 20:33:42 coppelius NetworkManager: <debug> [1225481622.130595] periodic_update(): Roamed from BSSID 00:04:0E:73:0F:34 (Silkes Parfum) to (none) ((none))
Oct 31 20:33:48 coppelius NetworkManager: <debug> [1225481628.134635] periodic_update(): Roamed from BSSID (none) ((none)) to 00:04:0E:73:0F:34 (Silkes Parfum)

Alexander Sack (asac) wrote :

please be more clear about the problems you are seeing. also attach the complete syslog taken after reproducing as well as your /etc/network/interfaces.

What ubuntu are you running?

Thanks.

Changed in network-manager:
status: New → Incomplete

Hi,
the problem is not directly reproducible, just at certain times the
connection seems to break since the throughput heavily drops, pings
are not delivered and so on. When I then check the log, entries as
attached appear.

Ubuntu: 8.10
network-manager: 0.7~~svn20081018t105859-0ubuntu1

cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

Thx a lot

Alexander Sack schrieb:
> please be more clear about the problems you are seeing. also attach the
> complete syslog taken after reproducing as well as your
> /etc/network/interfaces.
>
> What ubuntu are you running?
>
> Thanks.
>
> ** Changed in: network-manager (Ubuntu)
> Status: New => Incomplete
>

--
"Freiheit nutzt sich ab, wenn sie nicht genutzt wird."

Bitte schickt mir wenn möglich PGP verschlüsselte E-Mails,
zur Not helfe ich Euch dabei, das einzurichten.
Einfach meinen öffentlichen Schlüssel verwenden:

Please send me PGP encrypted mail whenever possible
using my public key, if necessary I could help you
configuring the appropriate programs:

PGP-Key: <http://www2.informatik.hu-berlin.de/~rehak/3D6C8F01_RR.asc>
Fingerprint:
<http://www2.informatik.hu-berlin.de/~rehak/3D6C8F01_RR_fp.txt>

I can confirm this bug. I get the same problem, i.e. regular loss of connection every two minutes or so due to roaming to "(none)" and back to my preferred network.

I'm running

ubuntu 8.10
network-manager 0.7~~svn20081018t105859-0ubuntu1

This problem started to occur after I installed

linux-backports-modules-2.6.27-9-generic

as a means to address the wifi related kernel panic bug #276990.

I'm using an atheros based 802.11abg card.

Detailed logs follows.

Andreas Jonsson (sonofjon) wrote :
Andreas Jonsson (sonofjon) wrote :
Andreas Jonsson (sonofjon) wrote :
Andreas Jonsson (sonofjon) wrote :
Andreas Jonsson (sonofjon) wrote :

I just tested to remove the ath5k atheros driver (provided by linux-backports-modules) in System/Admin/Hardware and this solves the problem in this bug, i.e. "roaming ot (none)..." don't occur anymore. However, without ath5k the default ath_pci module (madwifi) is used, which for me gives intermittent kernel panic freezes as described in the bug quoted above.

Bob Wiegand (bob-stuffofmine) wrote :

I also see this problem.

Ubuntu 8.10
Dell laptop with Broadcom Corporation BCM4328 802.11a/b/g/n (rev 03)
using "wl" driver

1 comments hidden view all 133 comments
Dennis Dirdjaja (dcd-ditsch) wrote :

My MacbookPro3,1 is also affected, using the ath9k module.

network-manager_0.7~~svn20081018t105859-0ubuntu1

$ uname -a
Linux silversurfer 2.6.27-11-generic #1 SMP Fri Dec 19 16:29:35 UTC 2008 x86_64 GNU/Linux

Alexander Sack (asac) wrote :
Download full text (5.0 KiB)

syslog shows its clearly a driver issue (not nm). Maybe test latest drivers in jaunty or intrepid-proposed.

from syslog posted:
Dec 6 00:54:32 brain2 NetworkManager: <debug> [1228542872.118124] periodic_update(): Roamed from BSSID 00:14:D1:3E:9E:F4 (mcajnet2) to (none) ((none))
Dec 6 00:54:38 brain2 NetworkManager: <debug> [1228542878.118114] periodic_update(): Roamed from BSSID (none) ((none)) to 00:14:D1:3E:9E:F4 (mcajnet2)
Dec 6 00:56:32 brain2 NetworkManager: <debug> [1228542992.195025] periodic_update(): Roamed from BSSID 00:14:D1:3E:9E:F4 (mcajnet2) to (none) ((none))
Dec 6 00:56:38 brain2 NetworkManager: <debug> [1228542998.202469] periodic_update(): Roamed from BSSID (none) ((none)) to 00:14:D1:3E:9E:F4 (mcajnet2)
Dec 6 00:58:32 brain2 NetworkManager: <debug> [1228543112.286427] periodic_update(): Roamed from BSSID 00:14:D1:3E:9E:F4 (mcajnet2) to (none) ((none))
Dec 6 00:58:38 brain2 NetworkManager: <debug> [1228543118.290030] periodic_update(): Roamed from BSSID (none) ((none)) to 00:14:D1:3E:9E:F4 (mcajnet2)
Dec 6 00:59:08 brain2 kernel: [ 4041.023245] ------------[ cut here ]------------
Dec 6 00:59:08 brain2 kernel: [ 4041.023260] WARNING: at /build/buildd/linux-backports-modules-2.6.27-2.6.27/debian/build/build-generic/compat-wireless-2.6/net/mac80211/rx.c:2200 __lbm_cw_ieee80211_rx+0x19f/0x600 [lbm_cw_mac80211]()
Dec 6 00:59:08 brain2 kernel: [ 4041.023268] Modules linked in: af_packet i915 drm binfmt_misc rfcomm sco bridge stp bnep l2cap bluetooth ppdev ipv6 acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_stats cpufreq_conservative cpufreq_ondemand freq_table container pci_slot sbs sbshc iptable_filter ip_tables x_tables sbp2 parport_pc lp parport joydev pcmcia snd_hda_intel snd_pcm_oss snd_mixer_oss snd_pcm uvcvideo thinkpad_acpi snd_seq_dummy compat_ioctl32 ath_pci wlan ath_hal(P) videodev yenta_socket rsrc_nonstatic rfkill snd_seq_oss v4l1_compat arc4 pcmcia_core psmouse nvram evdev ecb serio_raw iTCO_wdt crypto_blkcipher pcspkr snd_seq_midi iTCO_vendor_support snd_rawmidi ath5k lbm_cw_mac80211 snd_seq_midi_event lbm_cw_cfg80211 snd_seq led_class battery ac video intel_agp output snd_timer snd_seq_device wmi button snd agpgart shpchp pci_hotplug soundcore snd_page_alloc ext3 jbd mbcache sr_mod cdrom ata_generic usbhid hid sd_mod crc_t10dif sg ata_piix ahci pata_acpi ohci1394 ieee1394 libata scsi_mod ehci_h
Dec 6 00:59:08 brain2 kernel: d uhci_hcd usbcore e1000e dock thermal processor fan fuse vesafb fbcon tileblit font bitblit softcursor
Dec 6 00:59:08 brain2 kernel: [ 4041.023487] Pid: 0, comm: swapper Tainted: P W 2.6.27-9-generic #1
Dec 6 00:59:08 brain2 kernel: [ 4041.023494] [<c037c4b6>] ? printk+0x1d/0x1f
Dec 6 00:59:08 brain2 kernel: [ 4041.023509] [<c0131de9>] warn_on_slowpath+0x59/0x90
Dec 6 00:59:08 brain2 kernel: [ 4041.023523] [<c0118e38>] ? read_hpet+0x8/0x20
Dec 6 00:59:08 brain2 kernel: [ 4041.023533] [<c014e63b>] ? getnstimeofday+0x4b/0x100
Dec 6 00:59:08 brain2 kernel: [ 4041.023544] [<c0136976>] ? set_normalized_timespec+0x16/0x90
Dec 6 00:59:08 brain2 kernel: [ 4041.023554] [<c037e05e>] ? account_scheduler_latency+0xe/0x220
Dec 6 00:59:08 ...

Read more...

Changed in network-manager:
importance: Undecided → High
Dennis Dirdjaja (dcd-ditsch) wrote :

I did try the driver from 2008-12-26 with mixed success. The messages in the log remain, but at least the connection remains functional and doesn't timeout anymore. For ath9k, it might be related to http://bugzilla.kernel.org/show_bug.cgi?id=11570

Alexander Jones (alex-weej) wrote :

This happens on ath9k on 9.10 with and without wireless-compat upstream drivers. Every 2 minutes (sometimes 4) I roam to (none) ((none)) and then back again precisely 6 seconds later.

R. Drew Davis (drewclist) wrote :
Download full text (5.8 KiB)

Im running Ubuntu 8.10 (Intrepid) on as Acer Aspire 5315-2122. The wireless networking has been an uphill battle. At first it didn't work at all. Googling around led me to forcing it to load ath5k. That got the wireless to sort of work, but whenever the load was heavy on the network, it would stumble and gasp. The broswer seemed to spend an awful lot of time resolving domain names, so I added the dnsmasq package to the system in hopes that a modest cache would help. I think it helped a little, but network performance was still spotty. So I started to watch /var/log/syslog for clues. I disabled IPv6. I tried various network configuration tweeks in sysctl.conf that the web suggested would improve my TCP throughput. I saw lots of messages like this:

Dec 29 12:38:39 drew-laptop kernel: [ 138.432010] APIC error on CPU0: 40(40)
Dec 29 12:38:42 drew-laptop kernel: [ 141.020029] APIC error on CPU0: 40(40)
Dec 29 12:39:08 drew-laptop kernel: [ 167.312006] APIC error on CPU0: 40(40)
Dec 29 12:39:17 drew-laptop kernel: [ 176.085384] APIC error on CPU0: 40(40)
Dec 29 12:39:17 drew-laptop kernel: [ 176.752011] APIC error on CPU0: 40(40)

Upgrading the BIOS from 1.33 to 1.34 got rid of those messages, but the playback still would stall every few seconds when trying to play a youtube video, I know the problem was the network, because if I download the video to the local hard drive, it plays back just fine on this PC.

Taking riskier steps, I found that adding intrepid-proposed to my /etc/apt/sources.list, I could see many more updates. Updating the kernel and whatnot from 2.6.27-9 to 2.6.27-11 made most of the problems go away. youtube now plays OK. But my monitoring of mentions of wlan0 in syslog was still in place and turned up this:

Jan 25 05:25:30 drew-laptop dhclient: DHCPREQUEST of 192.168.1.102 on wlan0 to 192.168.1.1 port 67
Jan 25 05:25:30 drew-laptop NetworkManager: <info> DHCP: device wlan0 state changed bound -> renew
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: Withdrawing address record for 192.168.1.102 on wlan0.
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.102.
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: Interface wlan0.IPv4 no longer relevant for mDNS.
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: Joining mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.102.
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: New relevant interface wlan0.IPv4 for mDNS.
Jan 25 05:25:30 drew-laptop avahi-daemon[4911]: Registering new address record for 192.168.1.102 on wlan0.IPv4.
Jan 25 05:25:31 drew-laptop NetworkManager: <info> Policy set 'Newell' (wlan0) as default for routing and DNS.

That inspired me to take an unfiltered look at syslog. Before the update to -11, the stalls were associated with messages like this:

Jan 9 07:51:10 drew-laptop kernel: [ 224.900568] wlan0: No ProbeResp from current AP 00:21:29:70:26:31 - assume out of range
Jan 9 07:51:11 drew-laptop kernel: [ 226.120335] wlan0: RX ReassocResp from 00:21:29:70:26:31 (capab=0x11 status=0 aid=1)
Jan 9 07:51:11 drew-laptop kernel: [ 226.146448] wlan0:...

Read more...

Greg Michalec (greg-primate) wrote :

I have a very similar problem, but I'm using the intel iwl3945 drivers. So, maybe it isn't a driver issue? I also don't remember having this problem in Hardy. Of note is that the problem occurs with extreme regularity - about every 2 minutes it roams, and reconnects 6 seconds later.

I'm running latest Intrepid, with backports and proposed enabled.
I'm attaching my syslog, but here's a snapshot of the relevant portion:

Feb 4 19:44:19 lappy586 NetworkManager: <debug> [1233805459.981681] periodic_update(): Roamed from BSSID 00:1E:E5:FD:EA:69 (nopants) to (none) ((none))
Feb 4 19:44:25 lappy586 NetworkManager: <debug> [1233805465.984397] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1E:E5:FD:EA:69 (nopants)
Feb 4 19:46:20 lappy586 NetworkManager: <debug> [1233805580.044388] periodic_update(): Roamed from BSSID 00:1E:E5:FD:EA:69 (nopants) to (none) ((none))
Feb 4 19:46:26 lappy586 NetworkManager: <debug> [1233805586.051925] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1E:E5:FD:EA:69 (nopants)
Feb 4 19:48:20 lappy586 NetworkManager: <debug> [1233805700.136233] periodic_update(): Roamed from BSSID 00:1E:E5:FD:EA:69 (nopants) to (none) ((none))
Feb 4 19:48:26 lappy586 NetworkManager: <debug> [1233805706.140292] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1E:E5:FD:EA:69 (nopants)
Feb 4 19:50:20 lappy586 NetworkManager: <debug> [1233805820.216181] periodic_update(): Roamed from BSSID 00:1E:E5:FD:EA:69 (nopants) to (none) ((none))
Feb 4 19:50:26 lappy586 NetworkManager: <debug> [1233805826.220302] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1E:E5:FD:EA:69 (nopants)
Feb 4 19:52:20 lappy586 NetworkManager: <debug> [1233805940.288368] periodic_update(): Roamed from BSSID 00:1E:E5:FD:EA:69 (nopants) to (none) ((none))
Feb 4 19:52:26 lappy586 NetworkManager: <debug> [1233805946.288378] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1E:E5:FD:EA:69 (nopants)

This is pretty frustrating when you're trying to work in an ssh terminal....

Seems this problem has been around for quite some time:

http://<email address hidden>/msg07839.html

Here's one complete cycle of "roaming" for me, with Intrepid. It used to be that it would roam between different access points, but now it roams from one to (none) to another:

Feb 5 10:15:42 slim NetworkManager: <info> (eth1): supplicant connection state
 change: 7 -> 3
Feb 5 10:15:42 slim NetworkManager: <info> (eth1): supplicant connection state
 change: 3 -> 0
Feb 5 10:15:42 slim NetworkManager: <debug> [1233846942.426928] periodic_update
(): Roamed from BSSID 00:1A:1E:91:11:A0 (CMU) to (none) ((none))
Feb 5 10:15:44 slim NetworkManager: <info> (eth1): supplicant connection state
 change: 0 -> 4
Feb 5 10:15:44 slim NetworkManager: <info> (eth1): supplicant connection state
 change: 4 -> 7
Feb 5 10:15:47 slim NetworkManager: <info> (eth1): supplicant connection state
 change: 7 -> 3
Feb 5 10:15:47 slim NetworkManager: <info> (eth1): supplicant connection state change: 3 -> 0
Feb 5 10:15:47 slim NetworkManager: <info> (eth1): supplicant connection state change: 0 -> 4
Feb 5 10:15:47 slim NetworkManager: <info> (eth1): supplicant connection state change: 4 -> 7
Feb 5 10:15:48 slim NetworkManager: <debug> [1233846948.431113] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1A:1E:91:09:40 (CMU)

This is also the ipw2100 driver, as in the link I posted above (specifically a Thinkpad X31).

alcarola (alcarola) wrote :

Hi!

I have precisely the same problem as Greg Michalec with latest intrepid and backports enabled. I run an IBM T42 on an unencrypted network. I also had no problems in Hardy and I don't think it's a driver issue, although the driver is certainly also shaky. (Issuing a sudo iwconfig ath0 rate 11M as suggested in https://bugs.launchpad.net/ubuntu/+bug/278800 took care of the driver shakyness.)

Thanks,
Mikael

System information:

Linux Kexlerus 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

02:02.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

user@Kexlerus:~$ modinfo ath5k
filename: /lib/modules/2.6.27-11-generic/updates/ath5k.ko
version: 0.6.0 (EXPERIMENTAL)
license: Dual BSD/GPL
description: Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author: Nick Kossifidis
author: Jiri Slaby
srcversion: 63AB81E347E73116593DDE8
alias: pci:v0000168Cd0000001Dsv*sd*bc*sc*i*
...
alias: pci:v0000168Cd00000207sv*sd*bc*sc*i*
depends: led-class,lbm_cw-mac80211,lbm_cw-cfg80211
vermagic: 2.6.27-11-generic SMP mod_unload modversions 586
parm: nohwcrypt:Disable hardware encryption. (int)

Greg Michalec (greg-primate) wrote :

Just a sanity check to see if this is actually a problem with the access point - I'm using a linksys wrt110 router running firmware v1.0.02 which has given me grief in other ways, so I wouldn't be surprised if this problem is its fault as well. I'm assuming if other people are using this router, I'll see a stream of 'ah-ha!' replies. It would also explain why every other intrepid user isn't being driven crazy for six seconds every two minutes like I am. (Note - I've installed the latest linux-backports-modules, and the problem persists)

In my case this is a very large campus-wide network with hundreds of access points. For some time I believed that the problem was related to specific access points but it seems to happen pretty much everywhere on campus at this point. The operations people say that while the amount of traffic on the wireless network has increased somewhat in the last year, they aren't seeing roaming problems or massive packet loss (I am getting about 30% on average due to this problem) like this, at least, not on Windows or Mac OS X.

I strongly suspect network-manager is to blame, and as I mentioned, upgrading from Hardy to Intrepid has only made the problem worse - where before it would randomly roam to a different access point, now it roams to (none) and back. Something in its logic that makes it decide when to switch access points (an action which I'm pretty sure is under the control of userspace and not the driver!) is broken.

I believe it's WPA Supplicant that does the roaming, not Network Manager.

Greg Michalec (greg-primate) wrote :

OK - I've got some good news and some bad news. The good new is that I
created a usb key of Jaunty alpha 4 to test, and as far as I could tell,
the problem did not occur. My wireless connection did drop out
periodically, but that actually *did* seem like a driver issue (when it
died, it went completely out, and it was intermittent. You could set
your watch by the problem I'm having in intrepid.)
The bad news is that, in the interest of science, I installed the latest
jaunty packages of network-manager, network-manager-gnome,
wpasupplicant, and a handful of other packages I needed to satisfy
dependencies on my intrepid setup. Unfortunately, the problem seems to
still occur. I even did remove --purge on the old packages before
installing the new ones.
In other news, I check my friend's setup, and she has the same problem,
but she is using the broadcom wl driver (i'm using intel iwl3945), and
her setup was a fresh intrepid install from 2 months ago.

So, this is really confusing - the fact that I'm running most of the
jaunty software makes it seem like a driver issue, but the problem
occurs across drivers. Could it be a bug further down in the kernel
wireless stack? Any other ideas on how to debug this?

Here's the list of packages I updated:
libgnome-keyring0_2.25.90-0ubuntu1_i386.deb
libnss3-1d_3.12.2~rc1-0ubuntu2_i386.deb
network-manager-gnome_0.7-0ubuntu1_i386.deb
libnm-util1_0.7-0ubuntu1_i386.deb
libxcb-render-util0_0.2.1+git1-1_i386.deb wpasupplicant_0.6.6-2_i386.deb
libnspr4-0d_4.7.3-0ubuntu2_i386.deb
network-manager_0.7-0ubuntu1_i386.deb

Why is this bug still "incomplete"?
I can also confirm it exists and is very irritating.
I'm running Ubuntu Intrepid
Linux ambrosio 2.6.27-11-generic #1 SMP Thu Jan 29 19:28:32 UTC 2009 x86_64 GNU/Linux

Network manager version: 0.7~~svn20081018t105859-0ubuntu1.8.10.1
Package: network-manager-gnome Versions: 0.7~~svn20081020t000444-0ubuntu1.8.10.1

Network controller: Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller (rev 01)
(pci id: 14e4:432b)
Driver the "Broadcom STA wireless driver" installed with the "Hardware Drivers" gui.

The problem is not in the kernel module (if I killall NetworkManager, wpa_supplicant, ... and rmmod and modprobe wl, then it works without the roaming annoyance).

Howard Chu (hyc) wrote :

I've been having this problem as well, on Intrepid but with my own build of 2.6.28.6 kernel and ath9k driver, and NetworkManager from SVN. Fairly certain this was not occurring with an older SVN update but I'd have to dig up my backup disk to check the revision that was working before.

Howard Chu (hyc) wrote :

Just to be explicit - like clockwork:

tail /var/log/syslog
Mar 1 14:47:29 violino NetworkManager: <debug> [1235947649.095987] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)
Mar 1 14:48:46 violino dhclient: DHCPREQUEST of 192.168.1.20 on wlan0 to 192.168.1.7 port 67
Mar 1 14:48:46 violino dhclient: DHCPACK of 192.168.1.20 from 192.168.1.7
Mar 1 14:48:46 violino dhclient: bound to 192.168.1.20 -- renewal in 836 seconds.
Mar 1 14:49:23 violino NetworkManager: <debug> [1235947763.187369] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))
Mar 1 14:49:29 violino NetworkManager: <debug> [1235947769.188710] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)
Mar 1 14:51:23 violino NetworkManager: <debug> [1235947883.257488] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))
Mar 1 14:51:29 violino NetworkManager: <debug> [1235947889.260587] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)
Mar 1 14:53:23 violino NetworkManager: <debug> [1235948003.337326] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))

Howard Chu (hyc) wrote :

Ah, I forgot that NetworkManager migrated from SVN to git; the SVN tree I was looking at was old. Last updated 2008-10-22. My git tree was last updated 2008-12-27 and doesn't appear to have the problem now.

'doesn't seem to be a driver issue, as it occurs across drivers. I would say it's likely to be a supplicant problem (I guess this is the component in charge of roaming, isn't it?). My notebook is equiped with a RTL8187B adapter, managed by a rtl8187 driver, and I've experienced the exact same problem: every 2 minutes, the adapter roams to (none) and, then, back to my access point. I have only one access point here, it's worth saying. So far, I've been unable to find a solution, and it's been quite annoying when I'm using a VPN connection and/or Skype.

Tom Mercelis (tom-mercelis) wrote :

I'm not an expert, but I also tend to think wpa_supplicant may be the culprit: when the roaming happens, and I just wanted to use iwconfig and dhclient3, I did "killall NetworkManager", but the device kept roaming (I'm not sure whether the roaming was still logged, but looking at "watch iwconfig eth1" showed it was roaming. Doing a "killall wpa_suplicant" (NetworkManager still not running), makes the roaming stop.

I was seeing this problem with jaunty alpha 3, but with the latest updates and ath5k driver I have only seen the "network-manager roams to (none) ((none))" message when losing connection. The message itself seems erroneous as it precedes the disconnection message but is otherwise harmless:

Mar 3 17:54:07 localhost NetworkManager: <debug> [1236102847.001891] periodic_update(): Roamed from BSSID 00:1D:68:0A:1A:F5 (O2wirelessAFE6E8) to (none) ((none))
Mar 3 17:54:13 localhost NetworkManager: <debug> [1236102853.001490] periodic_update(): Roamed from BSSID (none) ((none)) to 00:1D:68:0A:1A:F5 (O2wirelessAFE6E8)
Mar 3 19:53:07 localhost NetworkManager: <info> (wlan0): supplicant connection state: completed -> disconnected
Mar 3 19:53:07 localhost NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning

Mário Pinto (m+p) wrote :

I have also the same problem.
Tried with the rtl8187 driver the native for my wireless card, and it came up with the same "Networkmenager periodic_update() roamed from".
Thinking it was a driver problem, i blacklisted rtl8187 and used a wireless adapter pen.
Different driver, same result.
As for the number of networks, it doesn't cycle.I have several around me, all protected.

I'm running the latest intrepid(8.10).
I don't have access to the logs, seeing i was too frustrated trying to access the web to post this.
I`ll post my system log and info later.

Have a nice day.

Mario Zigliotto (marioz) wrote :

I'm having the same problem as well...

please post if there is any info i can gather that will help.
thanks.

Guiohm (guiohm) wrote :
Download full text (4.8 KiB)

Same problem here too on a macbook pro 2.1. Disconnections every 2 minutes and I have to wait 2 minutes again to regain connection. The link is of very poor quality : less than 3mbit/s. (can't even watch my ISP's tv streaming service)
Now I'm connected manually via iwconfig. No disconnections and good speed so it's not a driver problem (ath9k).

Using jaunty alpha6 fresh install and up to date. Network-manager 0.7.1~rc3.1.git4cf2da146-0ubuntu1

$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

$ uname -a
Linux mbpc2d 2.6.28-11-generic #37-Ubuntu SMP Mon Mar 23 16:40:00 UTC 2009 x86_64 GNU/Linux

$ lspci -vvnn
...
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=32
 Memory behind bridge: 94000000-940fffff
 Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: [50] Subsystem: Gammagraphx, Inc. (or missing ID) Device [0000:0000]
...

03:00.0 Network controller [0280]: Atheros Communications Inc. AR5008 Wireless Network Adapter [168c:0024] (rev 01)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 256 bytes
 Interrupt: pin A routed to IRQ 17
 Region 0: Memory at 98100000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1+ D2- AuxCurrent=375mA PME(D0+,D1+,D2-,D3hot+,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: 00000000 Data: 0000
 Capabilities: [60] Express (v1) Legacy Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <128ns, L1 <2us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L1 Enabled; RCB 128 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
  Vector table: BAR=0 offset=00000000
  PBA: BAR=0 offset=00000000
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [140] Virtual Channel <?>
 Kernel driver in use: ath9k
 Kernel modules: ath9k

syslog extract :

Mar 26 00:09:26 mbpc2d NetworkManager: <debug> [1238022566.001643] ...

Read more...

tetzlav (tetzlav-leipzig) wrote :

can confirm this problem with
- ubuntu/intrepid
- kernel 2.6.28.9
- compat-wireless-2009-03-30 (ath5k + Atheros AR5213A)
- network-manager_0.7-0ubuntu1~nm1~intrepid1

Jacob Emcken (jacob-emcken) wrote :
Download full text (3.9 KiB)

I can confirm this on Jaunty last updated 3 days ago.

je@macmini:~$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
address 192.168.33.2
netmask 255.255.255.0

je@macmini:~$ uname -a
Linux macmini 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:38:53 UTC 2009 i686 GNU/Linux

je@macmini:~$ lspci -vvnn
...
01:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit Ethernet Controller [11ab:4362] (rev 22)
 Subsystem: Marvell Technology Group Ltd. Device [11ab:5321]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 256 bytes
 Interrupt: pin A routed to IRQ 2301
 Region 0: Memory at 50200000 (64-bit, non-prefetchable) [size=16K]
 Region 2: I/O ports at 1000 [size=256]
 Expansion ROM at 50500000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: sky2
 Kernel modules: sky2

02:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
 Subsystem: Apple Computer Inc. Device [106b:0086]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 256 bytes
 Interrupt: pin A routed to IRQ 17
 Region 0: Memory at 50100000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: ath5k_pci
 Kernel modules: ath5k
...

tail from syslog:

Apr 12 21:43:26 macmini kernel: [265376.329137] ath5k phy0: noise floor calibration timeout (2417MHz)
Apr 12 21:45:06 macmini kernel: [265476.044560] ath5k phy0: noise floor calibration timeout (2412MHz)
Apr 12 21:45:06 macmini kernel: [265476.458263] ath5k phy0: noise floor calibration timeout (2417MHz)
Apr 12 21:45:08 macmini NetworkManager: <debug> [1239565508.003125] periodic_update(): Roamed from BSSID 00:18:84:10:46:E2 (emcken) to (none) ((none))
Apr 12 21:45:20 macmini NetworkManager: <debug> [1239565520.002288] periodic_update(): Roamed from BSSID (none) ((none)) to 00:18:84:10:46:E2 (emcken)

This is how pinging the machine from elsewhere around when the problem shows (notice package loss between 22 and 33):

64 bytes from 192.168.10.148: icmp_seq=13 ttl=64 time=2.40 ms
64 bytes from 192.168.10.148: icmp_seq=14 ttl=64 time=2.74 ms
64 bytes from 192.168.10.148: icmp_seq=15 ttl=64 time=6.59 ms
64 bytes from 192.168.10.148: icmp_seq=16 ttl=64 time=5.82 ms
64 bytes from 192.168.10.148: icmp_seq=17 ttl=64 time=2.54 ms
64 bytes from 192.168.10.148: icmp_seq=18 ttl=64 time=11.4 ms
64 bytes from 192.168.10.148: icmp_seq=19 ttl=64 time=5.22 ms
64 bytes from 192.168.10.148: icmp_seq=20 ttl=64 time=2.69 ms
64 bytes from 192.168.10.148: icmp_seq=21 ttl=64 time=20.0 ms
64 bytes from 192.168.10.148: icmp_seq=22 ttl=64 time=1.82 ms
64 bytes from 192.168.10.148: icmp_seq=33 ttl=64 time=8990 ms
64 bytes from 192.168.10.148: icmp_seq=34 ttl=64 time=7975 ms
64 bytes from 192.1...

Read more...

Download full text (4.4 KiB)

Had the same problem running the following environment:

-------------------------------------------------------------------------------------------------------------------------
Acer Extensa 5630 EZ

Atheros AR9280 MAC/BB Rev:2 AR5133 RF Rev:d0: mem=0xf9700000, irq=17

Linux 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:38:53 UTC 2009 i686 GNU/Linux

Fritz Box 7270 using WPA2 encryption
---------------------------------------------------------------------------------------------------------------------------------

Problem was:
------------------------------------------------------------------------------------------------------------------------------
Losing connection, even wlan icon shows no interrupt
Logfiles showed usually following entries:

Apr 10 22:54:48 nodename avahi-daemon[4715]: Registering new address record for fe80::224:2bff:fe89:6a4b on wlan0.*.
Apr 10 22:54:52 nodename NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
Apr 10 22:54:52 nodename NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7
Apr 10 23:01:XX nodename NetworkManager: <debug> [12XXXX7299.414858] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:01:45 nodename NetworkManager: <debug> [12XXXX7305.418905] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:03:XX nodename NetworkManager: <debug> [12XXXX7419.486881] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:03:45 nodename NetworkManager: <debug> [12XXXX7425.491360] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:04:52 nodename NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
Apr 10 23:04:52 nodename NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7
Apr 10 23:05:XX nodename NetworkManager: <debug> [12XXXX75XX.558856] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:05:45 nodename NetworkManager: <debug> [12XXXX7545.562906] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:07:XX nodename NetworkManager: <debug> [12XXXX7659.630870] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:07:45 nodename NetworkManager: <debug> [12XXXX7665.634905] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:09:XX nodename NetworkManager: <debug> [12XXXX7779.711850] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:09:45 nodename NetworkManager: <debug> [12XXXX7785.714892] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:11:XX nodename NetworkManager: <debug> [12XXXX7899.787846] periodic_update(): Roamed from BSSID 00:XX:XX:XX:XX:XX (WLANname) to (none) ((none))
Apr 10 23:11:45 nodename NetworkManager: <debug> [12XXXX7905.790908] periodic_update(): Roamed from BSSID (none) ((none)) to 00:XX:XX:XX:XX:XX (WLANname)
Apr 10 23:13:XX nodename NetworkManager: <debug> [12XXXX...

Read more...

Alexander Sack (asac) wrote :

afaik, network manager only outputs what it gets from wpasupplicant.

Have you tried to set a fixed BSSID in the connection editor and see if that works properly at least?

affects: network-manager (Ubuntu) → wpasupplicant (Ubuntu)
Changed in wpasupplicant (Ubuntu):
status: New → Incomplete

Yes, for me, fixing the BSSID in the connection editor seems to work, as one might expect, since it prevents the gratuitous roaming.

tetzlav (tetzlav-leipzig) wrote :

No, i cant believe thats a Problem of supplicant, because if i don't use nm and start wpa_supplicant by hand every thing is fine (no output). It has something to do with static scanning every 120s or so...?

I also get "beacon loss" in dmesg, and i thought it is a problem with my ath5k.
http://marc.info/?l=linux-kernel&m=123903118312854&w=2

there is a need in nm:
- to scan manually and/or set scan interval (and no fixed 120s interval)
- to set channels wich to scan in supplicants confg (with abg cards scan takes too long)

knarf (launchpad-ubuntu-f) wrote :

I can confirm this problem with a homebrew 2.6.30-rc2 kernel and the ath5k driver. As to whether networkmanager, wpa_supplicant or any other piece of the wireless action is the culprit here I can not give an answer. I do suspect that this has something to do with the ath5k driver (and, obviously, other drivers as well: rtl8187, broadcom, others?) not being able to keep up a connection while networkmanager/wpa_supplicant does a scan for available networks. According to an OLPC bug report (https://dev.laptop.org/ticket/9048) the scans can be disabled using wpa_cli. I have not tried this though.

Alexander Sack (asac) on 2009-04-21
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alexander Sack (asac) on 2009-04-21
affects: wpasupplicant (Ubuntu) → network-manager (Ubuntu)
Changed in network-manager (Ubuntu):
status: Incomplete → Confirmed
Steve Conklin (sconklin) on 2009-05-12
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Alexander Sack (asac) on 2009-06-24
summary: - network-manager roams to (none) ((none))
+ network-manager roams to (none) ((none)) - background scanning
Changed in network-manager:
status: Unknown → Incomplete
Changed in linux (Ubuntu):
status: Invalid → Incomplete
William Grant (wgrant) on 2009-10-31
Changed in network-manager:
status: Incomplete → Unknown
Changed in linux:
status: Unknown → Incomplete
53 comments hidden view all 133 comments
Kensan (grim-squirrel) wrote :

This bug is still around and even further confirmation it's not the drivers I checked with both ndis b43 drivers, Broadcom STA5.10 and manually upgraded to STA5.60, all have the same issue. Tested with WEP, WPA (both TKIP and AES) on the router. I do not lose the connection, nm-applet doesnt show what network I'm connected to, only that I'm still connected.

kernel 2.6.31-20-generic
Ubuntu 9.10
Broadcom 4312 Wireless
01:00.0 0280: 14e4:4315 (rev 01)

NetworkManager: <debug> [1269345026.086803] periodic_update(): Roamed from BSSID 00:1C:F0:54:D1:F7 (Thors7) to (none) ((none))

I gave up on Broadcom a long time ago, and have not been affected by this
since. I just bought an intel 3945 for 9USD on ebay, possibly this is he
best solution.

On Tue, Mar 23, 2010 at 8:09 AM, Kensan <email address hidden> wrote:

> This bug is still around and even further confirmation it's not the
> drivers I checked with both ndis b43 drivers, Broadcom STA5.10 and
> manually upgraded to STA5.60, all have the same issue. Tested with WEP,
> WPA (both TKIP and AES) on the router. I do not lose the connection, nm-
> applet doesnt show what network I'm connected to, only that I'm still
> connected.
>
> kernel 2.6.31-20-generic
> Ubuntu 9.10
> Broadcom 4312 Wireless
> 01:00.0 0280: 14e4:4315 (rev 01)
>
> NetworkManager: <debug> [1269345026.086803] periodic_update(): Roamed
> from BSSID 00:1C:F0:54:D1:F7 (Thors7) to (none) ((none))
>
> --
> network-manager roams to (none) ((none)) - background scanning
> https://bugs.launchpad.net/bugs/291760
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Chance Fulton
<email address hidden>
810.441.5795

Howard Chu (hyc) wrote :

I just updated to the current Lucid beta on a new Dell Precision M4400 laptop with Broadcom BCM4322 wifi, and network-manager-0.8, the problem is even worse now.

Mar 26 18:03:04 violino NetworkManager: <debug> [1269651784.005430] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))
Mar 26 18:03:10 violino NetworkManager: <debug> [1269651790.005249] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)
Mar 26 18:03:28 violino NetworkManager: <debug> [1269651808.000913] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))
Mar 26 18:03:34 violino NetworkManager: <debug> [1269651814.005714] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)
Mar 26 18:04:04 violino NetworkManager: <debug> [1269651844.005773] periodic_update(): Roamed from BSSID 00:12:17:26:56:10 (HighlandSun) to (none) ((none))
Mar 26 18:04:10 violino NetworkManager: <debug> [1269651850.006758] periodic_update(): Roamed from BSSID (none) ((none)) to 00:12:17:26:56:10 (HighlandSun)

I've once again had to resort to patching the source to prevent all scanning when the device is Active/Connected.

Changed in network-manager:
status: Unknown → Invalid
Peter Zieba (pzieba) wrote :

I can confirm this problem across several models of Dell Laptop, across several brands of wireless NIC. The same behavior is exhibited on Karmic and the Lucid RC. Hence, this is likely not a driver problem.

The problem manifests itself by constant disconnects at random times with similar messages related to roaming from "none".

Also, our specific wireless deployment works properly for the same hardware platforms (Mostly various dell laptops), running WIndows XP and Fedora Core 12. OSX also works. Thus, RF and configuration issues of the wireless infrastructure are not likely.

This particular deployment uses a Cisco 5508 Wireless LAN Controller with 1142 Access Points, configured with sane defaults for most things.

Users authenticate via WPA2 / Enterprise, AES+TKIP, 802.1X

Version information of Fedora Core 12 is being provided as a reference for a configuration that does work properly with Network-Manager:
Network Manager: 0.7.998-2.git20100106.fc12.x86_64
Netowrk Manager Gnome: 0.7.998-2.git20100106.fc12.x86_64
wpa_supplicant: 0.6.8-8.fc12.x86_64
kernel: 2.6.32.11-99.fc12.x86_64

Working around this issue involves simply not using Network-Manager, and setting up wpa_supplicant manually on Debian/Ubuntu.

This issue seems to have lingered for quite some time, and it seems that several other seemingly related issues may be making addressing this problem more difficult.

It does, however, impact the usability of wireless in a very serious way, and seems to apply to a fairly diverse set of hardware.

I am tempted to speculate that this issue may be more common for people using enterprise authentication, possibly explaining why it hasn't been caught/isolated and addressed earlier.

Please let me know if there are any specifics I can provide beyond what's here.

Many Thanks!

Nthalk (phocis) wrote :

I installed Lucid recently, on a work network with 3 other people. Every two
minutes, the network would go down for 10 seconds due to my MacBookPro 3,1's
Atheros card's background scanning. Again, I had to just install wicd.

The fact that it's broken on my system is not so bad as the fact that the
entire wireless network around me went down during those (now unsyslogged)
bgscans.

It's network manager's fault for triggering scans in a driver that has good
support for bad hardware or bad support for good hardware.

This could all be fixed with a network manager configuration file,
interface, or anything. But it won't. It's been a problem for years.

-Nthalk

On Thu, Apr 29, 2010 at 4:52 PM, Peter Zieba <email address hidden>wrote:

> I can confirm this problem across several models of Dell Laptop, across
> several brands of wireless NIC. The same behavior is exhibited on Karmic
> and the Lucid RC. Hence, this is likely not a driver problem.
>
> The problem manifests itself by constant disconnects at random times
> with similar messages related to roaming from "none".
>
> Also, our specific wireless deployment works properly for the same
> hardware platforms (Mostly various dell laptops), running WIndows XP and
> Fedora Core 12. OSX also works. Thus, RF and configuration issues of the
> wireless infrastructure are not likely.
>
> This particular deployment uses a Cisco 5508 Wireless LAN Controller
> with 1142 Access Points, configured with sane defaults for most things.
>
> Users authenticate via WPA2 / Enterprise, AES+TKIP, 802.1X
>
> Version information of Fedora Core 12 is being provided as a reference for
> a configuration that does work properly with Network-Manager:
> Network Manager: 0.7.998-2.git20100106.fc12.x86_64
> Netowrk Manager Gnome: 0.7.998-2.git20100106.fc12.x86_64
> wpa_supplicant: 0.6.8-8.fc12.x86_64
> kernel: 2.6.32.11-99.fc12.x86_64
>
> Working around this issue involves simply not using Network-Manager, and
> setting up wpa_supplicant manually on Debian/Ubuntu.
>
> This issue seems to have lingered for quite some time, and it seems that
> several other seemingly related issues may be making addressing this
> problem more difficult.
>
> It does, however, impact the usability of wireless in a very serious
> way, and seems to apply to a fairly diverse set of hardware.
>
> I am tempted to speculate that this issue may be more common for people
> using enterprise authentication, possibly explaining why it hasn't been
> caught/isolated and addressed earlier.
>
> Please let me know if there are any specifics I can provide beyond
> what's here.
>
> Many Thanks!
>
> --
> network-manager roams to (none) ((none)) - background scanning
> https://bugs.launchpad.net/bugs/291760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Howard Chu (hyc) wrote :

By the way, if you apply the wpasupplicant patch I referenced in bug#549269 you can then do manual scans with wpa_cli without interfering with network-manager. (The feature is already in upstream wpasupplicant 0.7.x so upgrading that would work too.) With easy mechanisms for manual scanning, there's no reason not to at least provide an option to turn off automatic background scans.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
brianglass (brian-glassbrian) wrote :

I have this problem on Lucid Lynx 64 with a Macbook Pro 5,3, except that it seems to roam every six minutes (as opposed to the 2 minutes everyone else seems to have).

...
May 4 11:24:51 Athanasius NetworkManager: <debug> [1272986691.005114] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
May 4 11:24:57 Athanasius NetworkManager: <debug> [1272986697.005170] periodic_update(): Roamed from BSSID (none) ((none)) to 00:13:46:0F:FE:80 (GLASS)
May 4 11:25:03 Athanasius NetworkManager: <debug> [1272986703.005108] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
May 4 11:25:09 Athanasius NetworkManager: <debug> [1272986709.005183] periodic_update(): Roamed from BSSID (none) ((none)) to 00:13:46:0F:FE:80 (GLASS)
May 4 11:25:15 Athanasius NetworkManager: <debug> [1272986715.005168] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
May 4 11:25:21 Athanasius NetworkManager: <debug> [1272986721.003238] periodic_update(): Roamed from BSSID (none) ((none)) to 00:13:46:0F:FE:80 (GLASS)
May 4 11:25:27 Athanasius NetworkManager: <debug> [1272986727.004718] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
May 4 11:25:33 Athanasius NetworkManager: <debug> [1272986733.002719] periodic_update(): Roamed from BSSID (none) ((none)) to 00:13:46:0F:FE:80 (GLASS)
May 4 11:25:39 Athanasius NetworkManager: <debug> [1272986739.005120] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
May 4 11:25:45 Athanasius NetworkManager: <debug> [1272986745.002923] periodic_update(): Roamed from BSSID (none) ((none)) to 00:13:46:0F:FE:80 (GLASS)
May 4 11:25:51 Athanasius NetworkManager: <debug> [1272986751.002627] periodic_update(): Roamed from BSSID 00:13:46:0F:FE:80 (GLASS) to (none) ((none))
...

I don't know if this is related, but there seems to be a problem with hpet as well:

May 4 09:11:09 Athanasius kernel: [ 163.257285] CE: hpet increasing min_delta_ns to 15000 nsec
May 4 09:11:09 Athanasius kernel: [ 163.257371] CE: hpet increasing min_delta_ns to 22500 nsec
May 4 09:11:09 Athanasius kernel: [ 163.257462] CE: hpet increasing min_delta_ns to 33750 nsec

brianglass (brian-glassbrian) wrote :

Sorry, typo, make that 6 seconds, not 6 minutes.

Peter Zieba (pzieba) wrote :

I have worked around this bug in my environment by simply disabling the 802.11a radios on our wireless infrastructure.

I have been able to show that this bug occurs with only one access point providing a given SSID, but only if the access point is running both 802.11a and 802.11b/g.

It is possible that this is actually a bug in wpa_supplicant, but being triggered through the (arguably excessive) roaming that Network-Manager causes.

My feeling is that roaming may not work properly when trying to reauthenticate to an access point on the other band, since it is technically already authenticated to that access point. The client, however, likely doesn't know it is the same AP, and therefore, already authenticated to it. This however, is not based on anything but gut-instinct.

Once again, this bug does not occur on Fedora Core 12 (running Network-Manager), OSX, and Windows XP.

brianglass (brian-glassbrian) wrote :

Peter,

I have only one AP with my SSID and it is set to G only mode and I continue to have this problem.

Oddly my desktop, which is also wireless, has no problem whatsoever. It seems to be tied to the Macbook Pro.

Willem Hobers (whobers) wrote :
Download full text (4.2 KiB)

Hi,

Same problem here (see below). Log inundated with messages; every six seconds a new line. Running Ubuntu 10.04, updated. One AP, a/b/g. Can't find a way to turn 'a' off, so can't confirm the work around mentioned by Peter.

This roaming inundation is a problem: I have some messages which appear during start up of this system, which I want to look into, but which are rather difficult to find between the roaming lines...

If any more information might be helpful please tell me what you need. Happy to help.

May 15 14:37:56 PC10-135 NetworkManager: <debug> [1273927076.005535] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:38:02 PC10-135 NetworkManager: <debug> [1273927082.006698] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:38:08 PC10-135 NetworkManager: <debug> [1273927088.005719] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:38:14 PC10-135 NetworkManager: <debug> [1273927094.006590] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:38:20 PC10-135 NetworkManager: <debug> [1273927100.006463] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:38:26 PC10-135 NetworkManager: <debug> [1273927106.005656] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:38:32 PC10-135 NetworkManager: <debug> [1273927112.002541] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:38:38 PC10-135 NetworkManager: <debug> [1273927118.006563] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:38:44 PC10-135 NetworkManager: <debug> [1273927124.007260] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:38:50 PC10-135 NetworkManager: <debug> [1273927130.007124] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:38:56 PC10-135 NetworkManager: <debug> [1273927136.004917] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:39:02 PC10-135 NetworkManager: <debug> [1273927142.006826] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:39:08 PC10-135 NetworkManager: <debug> [1273927148.005585] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:39:14 PC10-135 NetworkManager: <debug> [1273927154.007222] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:39:20 PC10-135 NetworkManager: <debug> [1273927160.005581] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:39:26 PC10-135 NetworkManager: <debug> [1273927166.001592] periodic_update(): Roamed from BSSID 00:50:18:3E:BB:C0 (drdls) to (none) ((none))
May 15 14:39:32 PC10-135 NetworkManager: <debug> [1273927172.006631] periodic_update(): Roamed from BSSID (none) ((none)) to 00:50:18:3E:BB:C0 (drdls)
May 15 14:39:38 PC10-135 NetworkManager: <debug> [1273927178.006499] periodic_update(): Roamed from BSSID 00:50:18:3E...

Read more...

tags: added: cherry-pick kernel-net
Jeremy Foshee (jeremyfoshee) wrote :

Ray,
   Are you able to verify this issue in Lucid?

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
wvengen (wvengen) wrote :

Problem still exists on Lucid with BCM4322 and network-manager 0.8-0ubuntu3 when connecting to a Thompson TG789vn access point.

wvengen wrote:
> Problem still exists on Lucid with BCM4322 and network-manager
> 0.8-0ubuntu3 when connecting to a Thompson TG789vn access point.
>
I'm also seeing that with BCM4322 but quite convinced this is a driver bug. I
sent a report to the support email address on this page

http://www.broadcom.com/support/802.11/linux_sta.php

<email address hidden>

but received no acknowledgement. Which I believe is the usual result from
reporting driver bugs to vendors...

--
   -- Howard Chu
   CTO, Symas Corp. http://www.symas.com
   Director, Highland Sun http://highlandsun.com/hyc/
   Chief Architect, OpenLDAP http://www.openldap.org/project/

Jeremy Nickurak (nickurak) wrote :

Upstream 580185 marked as duplicateof 513820

Changed in network-manager:
status: Invalid → Unknown
Jeremy Nickurak (nickurak) wrote :

Possibly more relevant upstream bug

Changed in network-manager:
status: Unknown → Confirmed

I get this with an HP Pavilion dm1-1007TU with some Broadcom chip (PCI device ID 14e4:4353) - when I'm transferring data I get the "Roamed from BSSID..." message up to once every 6 seconds. I've tried both the restricted driver and ndiswrapper. I'm using Lucid with no backports. Let me know if you want any more information.

Geert van Boxtel (geert-gvb) wrote :

Same here, every 6 seconds, on Dell Studio 1558 Intel Core i5, Broadcom, PCI device ID 14e4:4353, Ubuntu 10.04 LTS AMD64. Using WICD instead of network manager does not help, turning off wireless security does not help either (these were some tips I found). I am using the latest Broadcom Linux STA driver (5.60.48.36). FWIW, I am totally unconvinced that this is a driver issue because I have found reports of the very same behavior using different hardware and drivers.

This is NOT a driver issue.

This issue is a result of NetworkManager expecting wireless drivers to be
able to bgscan and be connected/responsive at the same time.

It is not a driver issue because there's probably nothing WRONG with the
driver other than NetworkManager's false expectations of what it can do.

Is there some RFC I do not know about that involves bgscans to not interrupt
or interfere with current connections? How much do the first 2 letters of
bgscan actually promise?

The solution to this bug is and has always been to include a simple setting
for enabling bgscans.
We had a patch for this behavior a while ago, but some developer shot it
down screaming something about "NM is not broken, your drivers are." Sure,
my drivers are not that great, but I do not have many options, and it's a
lot easier to write an if statement and settings panel than it is to write a
wireless driver.

This seems like a simple fix, and it's affected 3 of my (different) laptops
so far. End user options are to use WICD, roll their own patched NM without
updates, do it cmdline/conf files, or run Windows / Mac.

I chose WICD.

On Thu, Jul 22, 2010 at 10:59 AM, Geert van Boxtel <email address hidden>wrote:

> Same here, every 6 seconds, on Dell Studio 1558 Intel Core i5, Broadcom,
> PCI device ID 14e4:4353, Ubuntu 10.04 LTS AMD64. Using WICD instead of
> network manager does not help, turning off wireless security does not
> help either (these were some tips I found). I am using the latest
> Broadcom Linux STA driver (5.60.48.36). FWIW, I am totally unconvinced
> that this is a driver issue because I have found reports of the very
> same behavior using different hardware and drivers.
>
> --
> network-manager roams to (none) ((none)) - background scanning
> https://bugs.launchpad.net/bugs/291760
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Nilbus (nilbus) wrote :

Could you post that patch if you have it available?

Geert van Boxtel (geert-gvb) wrote :

I can now confirm that installing WCID AND UNINSTALLING NETWORK-MANAGER resolved the issue for me, confirming the earlier message of Nthalk. Thank you!

You're right, wicd seems to work for me as well.

It turns out network-manager and wicd can co-exist (I'm keeping network-manager for its wireless internet support) - add a line like this to /etc/network/interfaces:

  iface eth1 inet manual

where "eth1" is your wireless interface, and network-manager will ignore it.

Julius Thor (joolli) wrote :

I can confirm that switching over to wicd worked around the problem. I hope this will be fixed/worked around in NetworkManager as I prefer NetworkManager over wicd (The UI).

I would like to see an option in NetworkManager to disable bgscan until this gets fixed in the drivers affected.

I'm using ath5k on a AR5212 chip.

Stéphane Maniaci (stephh) wrote :

I can confirm that bug on my (brand new) HP Probook 5310m. "lshw -c network" shows :

description: Wireless interface
       product: PRO/Wireless 5100 AGN [Shiloh] Network Connection
       vendor: Intel Corporation

configuration: broadcast=yes driver=iwlagn driverversion=2.6.33.6-147.2.4.fc13.i686 firmware=8.24.2.12 ip=192.168.1.101 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn

In my case, I have a network which is repeated at the other end of the house, so that everybody can connect to it without problems. Unfortunately, the connection breaks frequently (hyper-frustrating), and it ends only when I disconnect the repeater. /var/log/messages shows :

Aug 8 14:17:04 steph-laptop NetworkManager[1379]: <info> (wlan0): roamed from BSSID 00:1D:7E:A2:C5:B7 (Wildwood) to (none) ((none))

Alex Ruddick (alexrudd0) wrote :

This blog post suggests that the problem has been addressed somewhat upstream:
http://blogs.gnome.org/dcbw/2010/07/15/not-a-jackass-episode-1/

Sure enough, using the networkmanager daily PPA (https://launchpad.net/~network-manager/+archive/trunk) made the irritating logs go away. Wireless hasn't been unstable yet, although I've only been running for a few minutes at this point.

Alex,

As you've mentioned it, it should be fixed in the trunk PPA (and thus also in maverick), please continue to test to be sure, but for now I'll mark this as fix released for Maverick; please let me know if it pops up again.

/ Matt

Changed in network-manager (Ubuntu Maverick):
importance: Undecided → High
status: Confirmed → Fix Released
papukaija (papukaija) on 2010-08-15
tags: added: jaunty karmic lucid maverick
tags: added: patch
DSutton (dsutton) wrote :

After installing from the NetworkManager daily PPA, my disconnects have been less frequent, but they still happen about every 5-10 minutes.

In syslog, the following lines show up with every disconnect:

Aug 22 15:10:28 laptop wpa_supplicant[1027]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Aug 22 15:10:28 laptop NetworkManager[1002]: <info> (eth2): supplicant connection state: completed -> disconnected
Aug 22 15:10:28 laptop NetworkManager[1002]: <info> (eth2): supplicant connection state: disconnected -> scanning
Aug 22 15:10:38 laptop wpa_supplicant[1027]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Aug 22 15:10:38 laptop NetworkManager[1002]: <info> (eth2): supplicant connection state: scanning -> disconnected
Aug 22 15:10:40 laptop NetworkManager[1002]: <info> (eth2): supplicant connection state: disconnected -> scanning
Aug 22 15:10:44 laptop NetworkManager[1002]: <info> (eth2): device state change: 8 -> 3 (reason 11)

the line
 ... roamed from BSSID XX:XX:XX:XX:XX:XX (network) to (none) ((none))
only shows up on some disconnects

(I'm using a Broadcom BCM4322 card in a MacBook pro 5,5 with the Broadcom STA driver)

Per numerous comments here, this appears to be a network manager issue and not a kernel bug. Additionally the upstream kernel bug has been closed. As a result, I'm closing the linux kernel task for this bug. If anyone is still experiencing what they believe is a kernel related issue against the latest Maverick 2.6.35 based kernel, please open a new bug report against the linux kernel package. Thanks.

Changed in linux (Ubuntu Maverick):
status: Incomplete → Invalid
Changed in network-manager:
importance: Unknown → High
FishPond007 (charles-poisson) wrote :

Hi !

I just installed Maverick Meerkat on my Thinkpad T41p and i'm experiencing the same problem.

Here's some syslog information

Nov 6 01:18:25 fish-ThinkPad-T41p kernel: [25646.742212] (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:18:25 fish-ThinkPad-T41p kernel: [25646.742216] (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:18:25 fish-ThinkPad-T41p kernel: [25646.742219] (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:18:25 fish-ThinkPad-T41p kernel: [25646.742223] (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:18:25 fish-ThinkPad-T41p kernel: [25646.742226] (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.728508] cfg80211: Calling CRDA to update world regulatory domain
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738293] cfg80211: World regulatory domain updated:
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738298] (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738302] (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738306] (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738310] (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738313] (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Nov 6 01:20:25 fish-ThinkPad-T41p kernel: [25766.738317] (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

Every 120s my Wifi connection breakdown then reconnect.

Here's some material reports.

02:02.0 Ethernet controller [0200]: Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)
 Subsystem: Phillips Components Device [17ab:8331]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at c0210000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: ath5k
 Kernel modules: ath5k

fish@fish-ThinkPad-T41p:~$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

I'll try the WICD workaround

DSutton (dsutton) wrote :

I just performed a clean install of Maverick and I am still experiencing this issue (I kept my old /home partition). This issue is NOT FIXED in Maverick as far as I'm concerned.

I have a Broadcom BCM4322 card in a MacBook pro 5,5 with the Broadcom STA driver. My brother's laptop is an HP tx2000 with an Broadcom BCM4328 and the Broadcom STA driver and it does the same thing on my wireless router at home. This issue appears for most of the wireless routers to which I connect (mainly home and school), and it seems to be less of a problem when I am doing a long download that keeps network usage constantly high. I think I can also sometimes avert it by running several pings to external addresses. I would be willing to do any tests/log lookups if you give me specific directions, as this is a huge online productivity killer.

A relevant section of /var/log/syslog

Nov 20 19:14:07 laptop wpa_supplicant[1057]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Nov 20 19:14:07 laptop NetworkManager[1049]: <info> (eth1): supplicant connection state: completed -> disconnected
Nov 20 19:14:07 laptop NetworkManager[1049]: <info> (eth1): supplicant connection state: disconnected -> scanning
Nov 20 19:14:16 laptop wpa_supplicant[1057]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Nov 20 19:14:16 laptop NetworkManager[1049]: <info> (eth1): supplicant connection state: scanning -> disconnected
Nov 20 19:14:19 laptop NetworkManager[1049]: <info> (eth1): roamed from BSSID XX:XX:XX:XX:XX:XX (network) to (none) ((none))
Nov 20 19:14:19 laptop NetworkManager[1049]: <info> (eth1): supplicant connection state: disconnected -> scanning
Nov 20 19:14:22 laptop NetworkManager[1049]: <info> (eth1): device state change: 8 -> 3 (reason 11)
Nov 20 19:14:22 laptop NetworkManager[1049]: <info> (eth1): deactivating device (reason: 11).
Nov 20 19:14:22 laptop NetworkManager[1049]: <info> (eth1): canceled DHCP transaction, DHCP client pid 7719

Changed in linux:
status: Incomplete → Fix Released
Changed in linux:
importance: Unknown → Medium

2012, Ubuntu 11.10, still can't establish a reliable connection on networks with multiple APs. Immediately after connection dmesg states deauthenticated for reason 2 (authentication no longer valid). Network manager constantly prompts for password. No trouble establishing connections to single AP networks.

Consequence is I have to tether through my phone at most office buildings and universities. :(

Bobby Cahill (bbbthunda) wrote :

I'm in the same boat as Jason. I also tried using the daily PPA, but it didn't fix anything.

Installing wicd in parallel with network-manager, and making the small change to the interfaces file mentioned by rivode (comment #115) seems to be working so far. That will also be my workaround until this is fixed.

Hopefully next time I'm at another office for a presentation/workshop I'll be able to connect to the wifi, actually stay connected and not drain my battery 3 times faster.

If it helps I have a Dell E6500 with stock Broadcom BCM4322 wireless card and running Lucid 32-bit

It's very frustrating that this issue still exists after a couple years of putting up with it.

Please, if you're still seeing this issue, seeing as this bug was closed as Fix Released (and there *has* been changes at the NM level to handle this better); please file a new separate bug report for your particular issue.

Please keep in mind that the fewer "workarounds" applied here actually help a lot with the testing and debugging; otherwise we may end up debugging bad configuration.

The most useful thing to do here is to try this for your own system on a clean install of the current development release - Precise Pangolin, and to file a bug report for the issues you're seeing.

There *is not* anything else to be done at the NetworkManager level to support these broken drivers; the issues are at the kernel driver level. As it was mentioned in the upstream kernel bug report, the situation will have greatly improved in kernel 2.6.35 and higher (so at least Maverick); and the same has been observed using the NM trunk PPA (note that these versions do end up in newer releases, that's why testing with Precise Pangolin is useful). As far as I can see all the remaining comments mention the WL driver; which can easily be buggy (and unfortunately, is outside of our control).

Changed in network-manager:
status: Confirmed → Incomplete
Rolf Leggewie (r0lf) wrote :

Matthieu, I agree. This ticket has become hard to deal with but obviously wifi roaming still creates problems for many users, me included. I ran into bug 1025638 and during triage found this ticket. Unfortunately, it looks like some of the kernel bug triagers are interested in closing tickets rather than fixing problems :-( Just a heads-up in case someone with an ath9k and maybe even a 100P netbook sees similar issues. Feel free to pile on in bug 1025638.

Arnab Roy (arnabroy) wrote :

I am still affacted by this bug can we look at fixing this issue , i am on an intel centrino 6205..stays rock solid when have only 1AP...

Changed in network-manager:
status: Incomplete → Confirmed

Hi,

I'm surprised how long this bug has been around. It has been affecting me since I installed 12.04 on a T410si ThinkPad with an RTL8191SEvB (pci 10ec:8172)

I also get a very unstable WiFi connection on enterprise networks that have multiple access points, but WiFi is rock-solid on small home networks that have just one AP.

The log message I get in the log matches what other describe:

Jul 5 10:04:21 bluefern-vme28-l NetworkManager[14855]: <info> (wlan0): roamed from BSSID 00:24:C4:D2:0C:A1 (eduroam) to (none) ((none))

Any idea of when a fix or workaround would be available?

I'd be happy to help by providing more info (logs, debug output) or trying out fixes or workaround.

Cheers,
Vlad
<email address hidden>

My fix was to switch to Debian.
On Jul 4, 2013 7:25 PM, "Vladimir Mencl" <email address hidden> wrote:

> Hi,
>
> I'm surprised how long this bug has been around. It has been affecting
> me since I installed 12.04 on a T410si ThinkPad with an RTL8191SEvB (pci
> 10ec:8172)
>
> I also get a very unstable WiFi connection on enterprise networks that
> have multiple access points, but WiFi is rock-solid on small home
> networks that have just one AP.
>
> The log message I get in the log matches what other describe:
>
> Jul 5 10:04:21 bluefern-vme28-l NetworkManager[14855]: <info> (wlan0):
> roamed from BSSID 00:24:C4:D2:0C:A1 (eduroam) to (none) ((none))
>
> Any idea of when a fix or workaround would be available?
>
> I'd be happy to help by providing more info (logs, debug output) or
> trying out fixes or workaround.
>
> Cheers,
> Vlad
> <email address hidden>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (278800).
> https://bugs.launchpad.net/bugs/291760
>
> Title:
> network-manager roams to (none) ((none)) - background scanning
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/291760/+subscriptions
>

Changed in network-manager:
status: Confirmed → Incomplete

Just getting this starting today (or perhaps yesterday), after a bunch of s/w was upgrade (so that's what I blame). Quite irritating since my other devices on the network are fine - it's just Ubuntu. - 13.04 in this case. Perhaps I'll try 13.10, since it was released today (iinm), but something makes me thing this problem will be in that too :/
Using a Lenovo X1 Carbon - not sure what h/w it has, but it seems to be unrelated to specific h/w.

Jean Roberto Souza (sjeanr) wrote :

noooooo not againnnn!
On Oct 17, 2013 12:26 PM, "Max Waterman" <
<email address hidden>> wrote:

> Just getting this starting today (or perhaps yesterday), after a bunch of
> s/w was upgrade (so that's what I blame). Quite irritating since my other
> devices on the network are fine - it's just Ubuntu. - 13.04 in this case.
> Perhaps I'll try 13.10, since it was released today (iinm), but something
> makes me thing this problem will be in that too :/
> Using a Lenovo X1 Carbon - not sure what h/w it has, but it seems to be
> unrelated to specific h/w.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (278800).
> https://bugs.launchpad.net/bugs/291760
>
> Title:
> network-manager roams to (none) ((none)) - background scanning
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/291760/+subscriptions
>

Hi,

I'm having the same problem on a ThinkPad T410si with an RTL8191SE.

What in the end helped me to get around this problem was to set the driver options to disable both software level and firmware level powersaving - the problem has virtually gone away.

Try creating /etc/modprobe.d/rtl8192se-options.conf with:

options rtl8192se ips=0 swlps=0 fwlps=0

Cheers,
Vlad

Changed in network-manager:
status: Incomplete → Expired
Displaying first 40 and last 40 comments. View all 133 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.